Skip to main content
POST
/
financials
/
search
/
screener
Search financial statements
curl --request POST \
  --url https://api.aisa.one/apis/v1/financial/financials/search/screener \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": [
    {
      "field": "<string>",
      "operator": "gt",
      "value": 123
    }
  ],
  "period": "ttm",
  "limit": 100,
  "order_by": "ticker",
  "currency": "USD",
  "historical": false
}
'
{
  "search_results": [
    {
      "ticker": "<string>",
      "report_period": "2023-12-25",
      "period": "annual",
      "currency": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filters
object[]
required

An array of filter objects to apply to the search.

Minimum array length: 1
period
enum<string>
default:ttm

The time period for the financial data.

Available options:
annual,
quarterly,
ttm
limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:ticker

The field to order the results by. Use -field to order in descending order.

Available options:
ticker,
-ticker,
report_period,
-report_period
currency
enum<string>

The currency of the financial data.

Available options:
USD,
EUR,
GBP,
JPY,
CHF,
AUD,
CAD,
SEK
historical
boolean
default:false

Whether to return historical financial data.

Response

Successful search response

search_results
object[]